Bug 648465 - Review Request: php-pear-Console-CommandLine - A full featured command line options and arguments parser
Summary: Review Request: php-pear-Console-CommandLine - A full featured command line o...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 648466
TreeView+ depends on / blocked
 
Reported: 2010-11-01 11:40 UTC by Christof Damian
Modified: 2010-11-17 23:30 UTC (History)
3 users (show)

Fixed In Version: php-pear-Console-CommandLine-1.1.3-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-17 23:30:38 UTC
Type: ---
fedora: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Christof Damian 2010-11-01 11:40:36 UTC
Spec URL: http://rpms.damian.net/SPECS/php-pear-Console-CommandLine.spec
SRPM URL: http://rpms.damian.net/SRPMS/php-pear-Console-CommandLine-1.1.3-1.fc13.src.rpm
Description: A full featured command line options and arguments parser

rpmlint:
php-pear-Console-CommandLine.src: W: spelling-error %description -l en_US optparse -> opt parse, opt-parse, optative
php-pear-Console-CommandLine.noarch: W: spelling-error %description -l en_US optparse -> opt parse, opt-parse, optative
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Comment 1 Remi Collet 2010-11-06 08:02:10 UTC
Notes before review

1/ Don't use %channel for a package from default pear channel
Provides: php-pear(%{pear_name}) = %{version}

2/ License is not BSD but MIT

3/ Reduce path of 
/usr/share/doc/php-pear-Console-CommandLine-1.1.3/Console_CommandLine/docs/examples
To 
/usr/share/doc/php-pear-Console-CommandLine-1.1.3/examples

4/ add a %check section to run test suite

%check
cd %{pear_name}-%{version}
PHPRC=./php.ini %{__pear} run-tests tests | tee tests.log
# run-tests doesn't set return code, so grep it
grep "FAILED TESTS" tests.log && exit 1

OR 

%check
cd %{pear_name}-%{version}
%{_bindir}/phpunit tests

I prefer the "phpunit" version, which set the return code and display failing tests output. But which need additional BR php-pear(pear.phpunit.de/PHPUnit)

Build in mock (with %check) is ok.

5/ must own 
%{pear_phpdir}/Console

Comment 2 Christof Damian 2010-11-06 17:45:24 UTC
Spec URL: http://rpms.damian.net/SPECS/php-pear-Console-CommandLine.spec
SRPM URL:
http://rpms.damian.net/SRPMS/php-pear-Console-CommandLine-1.1.3-2.fc13.src.rpm

new version uploaded, which should fix the mentioned problems. I am using the phpunit version for %check.

Comment 3 Remi Collet 2010-11-06 18:28:29 UTC
=== FORMAL REVIEW ===
 -=N/A  x=Check  !=Problem,  ?=Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the PHP specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: F-14 x86_64
 [x] Rpmlint output:
php-pear-Console-CommandLine.spec: I: checking-url http://pear.php.net/get/Console_CommandLine-1.1.3.tgz (timeout 10 seconds)
php-pear-Console-CommandLine.src: I: checking
php-pear-Console-CommandLine.src: W: spelling-error %description -l en_US optparse -> opt parse, opt-parse, optative
php-pear-Console-CommandLine.src: I: checking-url http://pear.php.net/package/Console_CommandLine (timeout 10 seconds)
php-pear-Console-CommandLine.src: I: checking-url http://pear.php.net/get/Console_CommandLine-1.1.3.tgz (timeout 10 seconds)
php-pear-Console-CommandLine.noarch: I: checking
php-pear-Console-CommandLine.noarch: W: spelling-error %description -l en_US optparse -> opt parse, opt-parse, optative
php-pear-Console-CommandLine.noarch: I: checking-url http://pear.php.net/package/Console_CommandLine (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
	Used : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: MIT
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
	md5sum : 387723181c22148077579746d139204d  Console_CommandLine-1.1.3.tgz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final requires
/bin/sh  
/usr/bin/pear  
php-common >= 5.1.0
 [x] Final provides
php-pear(Console_CommandLine) = 1.1.3
php-pear-Console-CommandLine = 1.1.3-2.fc14
=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: fc14 i386
 [-] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [x] File based requires are sane.
 [x] %check is present and the tests pass

Koji scratch build : http://koji.fedoraproject.org/koji/taskinfo?taskID=2582766

***** APPROVED *****

Could remove %channel define which is no more used

Comment 4 Christof Damian 2010-11-06 18:41:32 UTC
(In reply to comment #3)
> 
> Could remove %channel define which is no more used

will do. 

thanks for your help (again).

New Package SCM Request
=======================
Package Name: php-pear-Console-CommandLine
Short Description: A full featured command line options and arguments parser
Owners: cdamian
Branches: f13 f14 el5 el6

Comment 5 Jason Tibbitts 2010-11-07 15:46:02 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2010-11-08 19:01:47 UTC
php-pear-Console-CommandLine-1.1.3-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/php-pear-Console-CommandLine-1.1.3-3.fc13

Comment 7 Fedora Update System 2010-11-10 01:13:50 UTC
php-pear-Console-CommandLine-1.1.3-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-Console-CommandLine'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/php-pear-Console-CommandLine-1.1.3-3.fc13

Comment 8 Fedora Update System 2010-11-17 23:30:34 UTC
php-pear-Console-CommandLine-1.1.3-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.